AI Assistant API
POST /services/ai/v1/user/connections/update Auth

Update Connection

Request Body Required

FieldTypeRequiredDescriptionExample
connection_id integer Yes 5
name string
max: 255
Yes My OpenAI Production Key v2
model_name string|null
max: 255
No gpt-4o-mini

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
success boolean
message string
data object
data.id integer
data.name string
data.model_name string|null
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/ai/v1/user/connections/update" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "connection_id": 5,
    "name": "My OpenAI Production Key v2",
    "model_name": "gpt-4o-mini"
}'
fetch('https://api.wemasy.nl/api/services/ai/v1/user/connections/update', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "connection_id": 5,
    "name": "My OpenAI Production Key v2",
    "model_name": "gpt-4o-mini"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/ai/v1/user/connections/update', {
    "connection_id": 5,
    "name": "My OpenAI Production Key v2",
    "model_name": "gpt-4o-mini"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "connection_id": 5,
    "name": "My OpenAI Production Key v2",
    "model_name": "gpt-4o-mini"
}
r = requests.post("https://api.wemasy.nl/api/services/ai/v1/user/connections/update", headers=headers, json=data)
print(r.json())
Response Example
{
    "success": true,
    "message": "string",
    "data": {
        "id": 0,
        "name": "string",
        "model_name": "string"
    }
}

Try It
Request Body Required

Export